DEVS-Fire API

continueSimulation

Advances the simulation by the given number of timesteps and returns the fire events that occurred. Does not require `runSimulation` to be called first — use this when you want to sample results at multiple intervals by calling it repeatedly.

POST
/continueSimulation

Query Parameters

Prop

Type

import requestsbase_url: str = "https://firesim.cs.gsu.edu/api/continueSimulation/"params: dict[str, int | str] = {    "userToken": "abc123xyz",    "time": 50,}response = requests.post(base_url, params=params)print(response.text)
[
  {
    "x": "25",
    "y": "25",
    "Operation": "BurnTeam",
    "time": "0.0"
  }
]
""
{
  "timestamp": "2026-05-20T16:41:10.088+00:00",
  "status": 500,
  "error": "Internal Server Error",
  "path": "/api/continueSimulation"
}

Response Body

application/json

text/plain

application/json